Index: ./audio/libid3tag/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libid3tag/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/libid3tag/buildlink3.mk	3 Oct 2004 00:13:07 -0000	1.4
+++ ./audio/libid3tag/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libid3tag
 
 .if !empty(LIBID3TAG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libid3tag+=	libid3tag>=0.15.0b
-BUILDLINK_RECOMMENDED.libid3tag+=	libid3tag>=0.15.1bnb1
+BUILDLINK_API_DEPENDS.libid3tag+=	libid3tag>=0.15.0b
+BUILDLINK_ABI_DEPENDS.libid3tag+=	libid3tag>=0.15.1bnb1
 BUILDLINK_PKGSRCDIR.libid3tag?=	../../audio/libid3tag
 .endif	# LIBID3TAG_BUILDLINK3_MK
 
Index: ./audio/libmad/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libmad/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/libmad/buildlink3.mk	3 Oct 2004 00:13:07 -0000	1.5
+++ ./audio/libmad/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmad
 
 .if !empty(LIBMAD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmad+=	libmad>=0.15.0b
-BUILDLINK_RECOMMENDED.libmad+=	libmad>=0.15.1bnb1
+BUILDLINK_API_DEPENDS.libmad+=	libmad>=0.15.0b
+BUILDLINK_ABI_DEPENDS.libmad+=	libmad>=0.15.1bnb1
 BUILDLINK_PKGSRCDIR.libmad?=	../../audio/libmad
 .endif	# LIBMAD_BUILDLINK3_MK
 
Index: ./audio/libmikmod/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libmikmod/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./audio/libmikmod/buildlink3.mk	5 Feb 2006 23:08:11 -0000	1.8
+++ ./audio/libmikmod/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	libmikmod
 
 .if !empty(LIBMIKMOD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmikmod+=	libmikmod>=3.1.9
-BUILDLINK_RECOMMENDED.libmikmod+=	libmikmod>=3.1.11.1nb2
+BUILDLINK_API_DEPENDS.libmikmod+=	libmikmod>=3.1.9
+BUILDLINK_ABI_DEPENDS.libmikmod+=	libmikmod>=3.1.11.1nb2
 BUILDLINK_PKGSRCDIR.libmikmod?=	../../audio/libmikmod
 .endif	# LIBMIKMOD_BUILDLINK3_MK
 
Index: ./audio/libmodplug/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libmodplug/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/libmodplug/buildlink3.mk	3 Oct 2004 00:13:07 -0000	1.4
+++ ./audio/libmodplug/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmodplug
 
 .if !empty(LIBMODPLUG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmodplug+=		libmodplug>=0.7
-BUILDLINK_RECOMMENDED.libmodplug+=	libmodplug>=0.7nb1
+BUILDLINK_API_DEPENDS.libmodplug+=		libmodplug>=0.7
+BUILDLINK_ABI_DEPENDS.libmodplug+=	libmodplug>=0.7nb1
 BUILDLINK_PKGSRCDIR.libmodplug?=	../../audio/libmodplug
 .endif	# LIBMODPLUG_BUILDLINK3_MK
 
Index: ./audio/libmpd/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libmpd/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./audio/libmpd/buildlink3.mk	22 Nov 2005 19:26:08 -0000	1.1.1.1
+++ ./audio/libmpd/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libmpd
 
 .if !empty(LIBMPD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmpd+=	libmpd>=0.01
+BUILDLINK_API_DEPENDS.libmpd+=	libmpd>=0.01
 BUILDLINK_PKGSRCDIR.libmpd?=	../../audio/libmpd
 .endif	# LIBMPD_BUILDLINK3_MK
 
Index: ./audio/libmusepack/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libmusepack/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./audio/libmusepack/buildlink3.mk	4 Dec 2004 20:28:32 -0000	1.1.1.1
+++ ./audio/libmusepack/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libmusepack
 
 .if !empty(LIBMUSEPACK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmusepack+=		libmusepack>=1.0.3
+BUILDLINK_API_DEPENDS.libmusepack+=		libmusepack>=1.0.3
 BUILDLINK_PKGSRCDIR.libmusepack?=	../../audio/libmusepack
 .endif	# LIBMUSEPACK_BUILDLINK3_MK
 
Index: ./audio/libopendaap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libopendaap/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/libopendaap/buildlink3.mk	19 Mar 2005 15:36:19 -0000	1.4
+++ ./audio/libopendaap/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libopendaap
 
 .if !empty(LIBOPENDAAP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libopendaap+=	libopendaap>=0.2.1
-BUILDLINK_RECOMMENDED.libopendaap+=	libopendaap>=0.2.1nb1
+BUILDLINK_API_DEPENDS.libopendaap+=	libopendaap>=0.2.1
+BUILDLINK_ABI_DEPENDS.libopendaap+=	libopendaap>=0.2.1nb1
 BUILDLINK_PKGSRCDIR.libopendaap?=	../../audio/libopendaap
 .endif	# LIBOPENDAAP_BUILDLINK3_MK
 
Index: ./audio/libsamplerate/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libsamplerate/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./audio/libsamplerate/Makefile	4 Mar 2006 21:28:56 -0000	1.12
+++ ./audio/libsamplerate/Makefile	4 Apr 2006 06:26:50 -0000
@@ -16,7 +16,7 @@
 
 TEST_TARGET=	check
 
-BUILDLINK_DEPENDS.libsndfile+=	libsndfile>=1.0.2
+BUILDLINK_API_DEPENDS.libsndfile+=	libsndfile>=1.0.2
 
 .include "../../audio/libsndfile/buildlink3.mk"
 .include "../../math/fftw/buildlink3.mk"
Index: ./audio/libsamplerate/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libsamplerate/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/libsamplerate/buildlink3.mk	5 Feb 2006 23:08:11 -0000	1.5
+++ ./audio/libsamplerate/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libsamplerate
 
 .if !empty(LIBSAMPLERATE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsamplerate+=	libsamplerate>=0.0.13nb1
-BUILDLINK_RECOMMENDED.libsamplerate+=	libsamplerate>=0.1.2nb2
+BUILDLINK_API_DEPENDS.libsamplerate+=	libsamplerate>=0.0.13nb1
+BUILDLINK_ABI_DEPENDS.libsamplerate+=	libsamplerate>=0.1.2nb2
 BUILDLINK_PKGSRCDIR.libsamplerate?=	../../audio/libsamplerate
 .endif	# LIBSAMPLERATE_BUILDLINK3_MK
 
Index: ./audio/libshout/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libshout/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/libshout/buildlink3.mk	28 Feb 2005 02:21:20 -0000	1.5
+++ ./audio/libshout/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libshout
 
 .if !empty(LIBSHOUT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libshout+=	libshout>=2.0
-BUILDLINK_RECOMMENDED.libshout+=libshout>=2.0nb1
+BUILDLINK_API_DEPENDS.libshout+=	libshout>=2.0
+BUILDLINK_ABI_DEPENDS.libshout+=libshout>=2.0nb1
 BUILDLINK_PKGSRCDIR.libshout?=	../../audio/libshout
 .endif	# LIBSHOUT_BUILDLINK3_MK
 
Index: ./audio/libsidplay/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libsidplay/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/libsidplay/buildlink3.mk	5 Feb 2006 23:08:11 -0000	1.4
+++ ./audio/libsidplay/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libsidplay
 
 .if !empty(LIBSIDPLAY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsidplay+=		libsidplay>=1.36.38
-BUILDLINK_RECOMMENDED.libsidplay+=	libsidplay>=1.36.59nb2
+BUILDLINK_API_DEPENDS.libsidplay+=		libsidplay>=1.36.38
+BUILDLINK_ABI_DEPENDS.libsidplay+=	libsidplay>=1.36.59nb2
 BUILDLINK_PKGSRCDIR.libsidplay?=	../../audio/libsidplay
 .endif	# LIBSIDPLAY_BUILDLINK3_MK
 
Index: ./audio/libsndfile/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libsndfile/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./audio/libsndfile/buildlink3.mk	5 Feb 2006 23:08:11 -0000	1.6
+++ ./audio/libsndfile/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libsndfile
 
 .if !empty(LIBSNDFILE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsndfile+=		libsndfile>=1.0.0
-BUILDLINK_RECOMMENDED.libsndfile+=	libsndfile>=1.0.13nb1
+BUILDLINK_API_DEPENDS.libsndfile+=		libsndfile>=1.0.0
+BUILDLINK_ABI_DEPENDS.libsndfile+=	libsndfile>=1.0.13nb1
 BUILDLINK_PKGSRCDIR.libsndfile?=	../../audio/libsndfile
 .endif	# LIBSNDFILE_BUILDLINK3_MK
 
Index: ./audio/libvisual/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libvisual/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/libvisual/buildlink3.mk	5 Feb 2006 23:08:11 -0000	1.4
+++ ./audio/libvisual/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libvisual
 
 .if !empty(LIBVISUAL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libvisual+=	libvisual>=0.2.0
-BUILDLINK_RECOMMENDED.libvisual?=	libvisual>=0.2.0nb1
+BUILDLINK_API_DEPENDS.libvisual+=	libvisual>=0.2.0
+BUILDLINK_ABI_DEPENDS.libvisual?=	libvisual>=0.2.0nb1
 BUILDLINK_PKGSRCDIR.libvisual?=	../../audio/libvisual
 .endif	# LIBVISUAL_BUILDLINK3_MK
 
Index: ./audio/libvorbis/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libvorbis/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./audio/libvorbis/buildlink3.mk	3 Oct 2004 00:13:07 -0000	1.6
+++ ./audio/libvorbis/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libvorbis
 
 .if !empty(LIBVORBIS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libvorbis+=	libvorbis>=1.0.1
-BUILDLINK_RECOMMENDED.libvorbis+=	libvorbis>=1.1.0nb1
+BUILDLINK_API_DEPENDS.libvorbis+=	libvorbis>=1.0.1
+BUILDLINK_ABI_DEPENDS.libvorbis+=	libvorbis>=1.1.0nb1
 BUILDLINK_PKGSRCDIR.libvorbis?=	../../audio/libvorbis
 .endif	# LIBVORBIS_BUILDLINK3_MK
 
Index: ./audio/musicbrainz/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/musicbrainz/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./audio/musicbrainz/buildlink3.mk	5 Feb 2006 23:08:12 -0000	1.9
+++ ./audio/musicbrainz/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	musicbrainz
 
 .if !empty(MUSICBRAINZ_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.musicbrainz+=		musicbrainz>=2.0.2
-BUILDLINK_RECOMMENDED.musicbrainz+=	musicbrainz>=2.1.2nb2
+BUILDLINK_API_DEPENDS.musicbrainz+=		musicbrainz>=2.0.2
+BUILDLINK_ABI_DEPENDS.musicbrainz+=	musicbrainz>=2.1.2nb2
 BUILDLINK_PKGSRCDIR.musicbrainz?=	../../audio/musicbrainz
 .endif	# MUSICBRAINZ_BUILDLINK3_MK
 
Index: ./audio/nas/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/nas/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/nas/buildlink3.mk	5 Feb 2006 23:08:12 -0000	1.5
+++ ./audio/nas/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	nas
 
 .if !empty(NAS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.nas+=		nas>=1.4.2
-BUILDLINK_RECOMMENDED.nas?=	nas>=1.7bnb2
+BUILDLINK_API_DEPENDS.nas+=		nas>=1.4.2
+BUILDLINK_ABI_DEPENDS.nas?=	nas>=1.7bnb2
 BUILDLINK_PKGSRCDIR.nas?=	../../audio/nas
 .endif	# NAS_BUILDLINK3_MK
 
Index: ./audio/openal/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/openal/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./audio/openal/buildlink3.mk	5 Feb 2006 23:08:13 -0000	1.2
+++ ./audio/openal/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	openal
 
 .if !empty(OPENAL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openal+=	openal>=20030125nb1
-BUILDLINK_RECOMMENDED.openal?=	openal>=20040816nb1
+BUILDLINK_API_DEPENDS.openal+=	openal>=20030125nb1
+BUILDLINK_ABI_DEPENDS.openal?=	openal>=20040816nb1
 BUILDLINK_PKGSRCDIR.openal?=	../../audio/openal
 .endif	# OPENAL_BUILDLINK3_MK
 
Index: ./audio/portaudio/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/portaudio/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/portaudio/buildlink3.mk	5 Feb 2006 23:08:13 -0000	1.4
+++ ./audio/portaudio/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	portaudio
 
 .if !empty(PORTAUDIO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.portaudio+=	portaudio>=18.1
-BUILDLINK_RECOMMENDED.portaudio?=	portaudio>=18.1nb2
+BUILDLINK_API_DEPENDS.portaudio+=	portaudio>=18.1
+BUILDLINK_ABI_DEPENDS.portaudio?=	portaudio>=18.1nb2
 BUILDLINK_PKGSRCDIR.portaudio?=	../../audio/portaudio
 .endif	# PORTAUDIO_BUILDLINK3_MK
 
Index: ./audio/py-ogg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/py-ogg/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./audio/py-ogg/buildlink3.mk	5 Feb 2006 23:08:13 -0000	1.9
+++ ./audio/py-ogg/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyogg
 
 .if !empty(PY_OGG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyogg+=	${PYPKGPREFIX}-ogg>=1.3
-BUILDLINK_RECOMMENDED.pyogg?=	${PYPKGPREFIX}-ogg>=1.3nb2
+BUILDLINK_API_DEPENDS.pyogg+=	${PYPKGPREFIX}-ogg>=1.3
+BUILDLINK_ABI_DEPENDS.pyogg?=	${PYPKGPREFIX}-ogg>=1.3nb2
 BUILDLINK_PKGSRCDIR.pyogg?=	../../audio/py-ogg
 .endif	# PY_OGG_BUILDLINK3_MK
 
Index: ./audio/rplay/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/rplay/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/rplay/buildlink3.mk	3 Oct 2004 00:13:09 -0000	1.4
+++ ./audio/rplay/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	rplay
 
 .if !empty(RPLAY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.rplay+=	rplay>=3.3.2nb1
-BUILDLINK_RECOMMENDED.rplay+=	rplay>=3.3.2nb2
+BUILDLINK_API_DEPENDS.rplay+=	rplay>=3.3.2nb1
+BUILDLINK_ABI_DEPENDS.rplay+=	rplay>=3.3.2nb2
 BUILDLINK_PKGSRCDIR.rplay?=	../../audio/rplay
 .endif	# RPLAY_BUILDLINK3_MK
 
Index: ./audio/speex/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/speex/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./audio/speex/buildlink3.mk	3 Oct 2004 00:13:09 -0000	1.6
+++ ./audio/speex/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	speex
 
 .if !empty(SPEEX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.speex+=	speex>=1.0.4
-BUILDLINK_RECOMMENDED.speex+=	speex>=1.0.4nb1
+BUILDLINK_API_DEPENDS.speex+=	speex>=1.0.4
+BUILDLINK_ABI_DEPENDS.speex+=	speex>=1.0.4nb1
 BUILDLINK_PKGSRCDIR.speex?=	../../audio/speex
 .endif	# SPEEX_BUILDLINK3_MK
 
Index: ./audio/streamtuner/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/streamtuner/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/streamtuner/buildlink3.mk	5 Feb 2006 23:08:14 -0000	1.5
+++ ./audio/streamtuner/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	streamtuner
 
 .if !empty(STREAMTUNER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.streamtuner+=		streamtuner>=0.99
-BUILDLINK_RECOMMENDED.streamtuner?=	streamtuner>=0.99.99nb2
+BUILDLINK_API_DEPENDS.streamtuner+=		streamtuner>=0.99
+BUILDLINK_ABI_DEPENDS.streamtuner?=	streamtuner>=0.99.99nb2
 BUILDLINK_PKGSRCDIR.streamtuner?=	../../audio/streamtuner
 .endif	# STREAMTUNER_BUILDLINK3_MK
 
Index: ./audio/sweep/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/sweep/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/sweep/buildlink3.mk	5 Feb 2006 23:08:14 -0000	1.5
+++ ./audio/sweep/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sweep
 
 .if !empty(SWEEP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sweep+=	sweep>=0.8.2nb6
-BUILDLINK_RECOMMENDED.sweep+=	sweep>=0.8.3nb3
+BUILDLINK_API_DEPENDS.sweep+=	sweep>=0.8.2nb6
+BUILDLINK_ABI_DEPENDS.sweep+=	sweep>=0.8.3nb3
 BUILDLINK_PKGSRCDIR.sweep?=	../../audio/sweep
 .endif	# SWEEP_BUILDLINK3_MK
 
Index: ./audio/taglib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/taglib/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./audio/taglib/buildlink3.mk	6 Oct 2004 00:09:02 -0000	1.6
+++ ./audio/taglib/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	taglib
 
 .if !empty(TAGLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.taglib+=	taglib>=1.0
-BUILDLINK_RECOMMENDED.taglib+=	taglib>=1.3
+BUILDLINK_API_DEPENDS.taglib+=	taglib>=1.0
+BUILDLINK_ABI_DEPENDS.taglib+=	taglib>=1.3
 BUILDLINK_PKGSRCDIR.taglib?=	../../audio/taglib
 .endif	# TAGLIB_BUILDLINK3_MK
 
Index: ./audio/tremor/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/tremor/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/tremor/buildlink3.mk	5 Feb 2006 23:08:14 -0000	1.4
+++ ./audio/tremor/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tremor
 
 .if !empty(TREMOR_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tremor+=	tremor>=1.0.2
-BUILDLINK_RECOMMENDED.tremor+=	tremor>=1.0.2nb5
+BUILDLINK_API_DEPENDS.tremor+=	tremor>=1.0.2
+BUILDLINK_ABI_DEPENDS.tremor+=	tremor>=1.0.2nb5
 BUILDLINK_PKGSRCDIR.tremor?=	../../audio/tremor
 .endif	# TREMOR_BUILDLINK3_MK
 
Index: ./audio/tunepimp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/tunepimp/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/tunepimp/buildlink3.mk	5 Feb 2006 23:08:14 -0000	1.5
+++ ./audio/tunepimp/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tunepimp
 
 .if !empty(TUNEPIMP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tunepimp+=	tunepimp>=0.3.0
-BUILDLINK_RECOMMENDED.tunepimp+=	tunepimp>=0.3.0nb4
+BUILDLINK_API_DEPENDS.tunepimp+=	tunepimp>=0.3.0
+BUILDLINK_ABI_DEPENDS.tunepimp+=	tunepimp>=0.3.0nb4
 BUILDLINK_PKGSRCDIR.tunepimp?=	../../audio/tunepimp
 .endif	# TUNEPIMP_BUILDLINK3_MK
 
Index: ./audio/tunesbrowser/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/tunesbrowser/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- ./audio/tunesbrowser/Makefile	6 Mar 2006 00:18:14 -0000	1.14
+++ ./audio/tunesbrowser/Makefile	4 Apr 2006 06:26:50 -0000
@@ -20,7 +20,7 @@
 DEPENDS+=		gst-plugins0.8-esound>=0.8.1:../../audio/gst-plugins0.8-esound
 DEPENDS+=		gst-plugins0.8-mad>=0.8.1:../../audio/gst-plugins0.8-mad
 
-BUILDLINK_DEPENDS.libopendaap+=	libopendaap>=0.4.0
+BUILDLINK_API_DEPENDS.libopendaap+=	libopendaap>=0.4.0
 
 .include "../../multimedia/gst-plugins0.8/buildlink3.mk"
 .include "../../audio/libopendaap/buildlink3.mk"
Index: ./audio/wsoundserver/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/wsoundserver/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./audio/wsoundserver/buildlink3.mk	10 Mar 2006 22:32:21 -0000	1.6
+++ ./audio/wsoundserver/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	wsoundserver
 
 .if !empty(WSOUNDSERVER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.wsoundserver+=	wsoundserver>=0.4.0nb4
-BUILDLINK_RECOMMENDED.wsoundserver+=	wsoundserver>=0.4.0nb7
+BUILDLINK_API_DEPENDS.wsoundserver+=	wsoundserver>=0.4.0nb4
+BUILDLINK_ABI_DEPENDS.wsoundserver+=	wsoundserver>=0.4.0nb7
 BUILDLINK_PKGSRCDIR.wsoundserver?=	../../audio/wsoundserver
 .endif	# WSOUNDSERVER_BUILDLINK3_MK
 
Index: ./audio/xfce4-mixer/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/xfce4-mixer/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./audio/xfce4-mixer/buildlink3.mk	17 Feb 2006 06:49:23 -0000	1.12
+++ ./audio/xfce4-mixer/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-mixer
 
 .if !empty(XFCE4_MIXER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-mixer+=	xfce4-mixer>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-mixer?=	xfce4-mixer>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-mixer+=	xfce4-mixer>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-mixer?=	xfce4-mixer>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-mixer?=	../../audio/xfce4-mixer
 .endif	# XFCE4_MIXER_BUILDLINK3_MK
 
Index: ./audio/xfce4-xmms-plugin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/xfce4-xmms-plugin/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./audio/xfce4-xmms-plugin/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.8
+++ ./audio/xfce4-xmms-plugin/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-xmms-plugin
 
 .if !empty(XFCE4_XMMS_PLUGIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-xmms-plugin+=	xfce4-xmms-plugin>=0.3.1
-BUILDLINK_RECOMMENDED.xfce4-xmms-plugin?=	xfce4-xmms-plugin>=0.3.1nb2
+BUILDLINK_API_DEPENDS.xfce4-xmms-plugin+=	xfce4-xmms-plugin>=0.3.1
+BUILDLINK_ABI_DEPENDS.xfce4-xmms-plugin?=	xfce4-xmms-plugin>=0.3.1nb2
 BUILDLINK_PKGSRCDIR.xfce4-xmms-plugin?=	../../audio/xfce4-xmms-plugin
 .endif	# XFCE4_XMMS_PLUGIN_BUILDLINK3_MK
 
Index: ./audio/xmms/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/xmms/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/xmms/buildlink3.mk	5 Feb 2006 23:08:17 -0000	1.5
+++ ./audio/xmms/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xmms
 
 .if !empty(XMMS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xmms+=	xmms>=1.2.7nb10
-BUILDLINK_RECOMMENDED.xmms?=	xmms>=1.2.10nb6
+BUILDLINK_API_DEPENDS.xmms+=	xmms>=1.2.7nb10
+BUILDLINK_ABI_DEPENDS.xmms?=	xmms>=1.2.10nb6
 BUILDLINK_PKGSRCDIR.xmms?=	../../audio/xmms
 .endif	# XMMS_BUILDLINK3_MK
 
Index: ./audio/xmms-esound/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/xmms-esound/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./audio/xmms-esound/Makefile	5 Feb 2006 23:08:17 -0000	1.8
+++ ./audio/xmms-esound/Makefile	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 
 CONFLICTS+=	xmms<=1.2.7nb8
 
-BUILDLINK_DEPENDS.xmms+=	xmms>=1.2.7nb9
+BUILDLINK_API_DEPENDS.xmms+=	xmms>=1.2.7nb9
 
 BUILD_DIRS=	${WRKSRC}/Output/esd
 INSTALL_DIRS=	${WRKSRC}/Output/esd
Index: ./audio/xmms-mad/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/xmms-mad/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./audio/xmms-mad/Makefile	5 Feb 2006 23:08:18 -0000	1.21
+++ ./audio/xmms-mad/Makefile	4 Apr 2006 06:26:50 -0000
@@ -15,7 +15,7 @@
 
 CPPFLAGS.NetBSD+=	-DHAVE_NANOSLEEP=1
 
-BUILDLINK_DEPENDS.libmad+=	libmad>=0.15.0bnb1
+BUILDLINK_API_DEPENDS.libmad+=	libmad>=0.15.0bnb1
 
 .include "../../audio/libid3tag/buildlink3.mk"
 .include "../../audio/libmad/buildlink3.mk"
Index: ./audio/xmms-meta-input/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/xmms-meta-input/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/xmms-meta-input/buildlink3.mk	5 Feb 2006 23:08:18 -0000	1.3
+++ ./audio/xmms-meta-input/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xmms-meta-input
 
 .if !empty(XMMS_META_INPUT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xmms-meta-input+=	xmms-meta-input>=0.4
-BUILDLINK_RECOMMENDED.xmms-meta-input?=	xmms-meta-input>=0.4nb2
+BUILDLINK_API_DEPENDS.xmms-meta-input+=	xmms-meta-input>=0.4
+BUILDLINK_ABI_DEPENDS.xmms-meta-input?=	xmms-meta-input>=0.4nb2
 BUILDLINK_PKGSRCDIR.xmms-meta-input?=	../../audio/xmms-meta-input
 .endif	# XMMS_META_INPUT_BUILDLINK3_MK
 
Index: ./bootstrap/files/packages.cat7
===================================================================
RCS file: /cvsroot/pkgsrc/bootstrap/files/packages.cat7,v
retrieving revision 1.3
diff -u -r1.3 packages.cat7
--- ./bootstrap/files/packages.cat7	7 May 2005 22:20:40 -0000	1.3
+++ ./bootstrap/files/packages.cat7	4 Apr 2006 06:26:50 -0000
@@ -477,15 +477,15 @@
                      this for packages that install identical set of files.
                      The format of this entry is ``pkgname''.
 
-           RECOMMENDED
+           ABI_DEPENDS
                      A list of recommended versions of pre-requisite packages.
                      This should be used together with ``DEPENDS'' to denote
                      which version of a pre-requisite is required and which
                      version is recommended.  The format of this entry is
                      ``pkgname:dir'', the same as for ``DEPENDS''.
 
-           IGNORE_RECOMMENDED
-                     If this is set to ``NO'' (the default), then RECOMMENDED
+           IGNORE_ABI_DEPENDS
+                     If this is set to ``NO'' (the default), then ABI_DEPENDS
                      pre-requisites will be turned into dependencies.  If set
                      to ``YES'', recommendations will be ignored and a warning
                      will be printed that packages created with this option
Index: ./cad/gplcver/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/cad/gplcver/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./cad/gplcver/buildlink3.mk	10 Feb 2006 16:37:51 -0000	1.1.1.1
+++ ./cad/gplcver/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -21,7 +21,7 @@
 BUILDLINK_PACKAGES+=	gplcver
 
 .if !empty(GPLCVER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gplcver+=	gplcver>=2.11a
+BUILDLINK_API_DEPENDS.gplcver+=	gplcver>=2.11a
 BUILDLINK_PKGSRCDIR.gplcver?=	../../cad/gplcver
 .endif	# GPLCVER_BUILDLINK3_MK
 
Index: ./cad/libgeda/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/cad/libgeda/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./cad/libgeda/buildlink3.mk	11 Feb 2006 02:40:49 -0000	1.13
+++ ./cad/libgeda/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgeda
 
 .if !empty(LIBGEDA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgeda+=	libgeda-20060123{,nb[0-9]*}
-BUILDLINK_RECOMMENDED.libgeda?=	libgeda>=20060123nb1
+BUILDLINK_API_DEPENDS.libgeda+=	libgeda-20060123{,nb[0-9]*}
+BUILDLINK_ABI_DEPENDS.libgeda?=	libgeda>=20060123nb1
 BUILDLINK_PKGSRCDIR.libgeda?=	../../cad/libgeda
 .endif	# LIBGEDA_BUILDLINK3_MK
 
Index: ./cad/libwcalc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/cad/libwcalc/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./cad/libwcalc/buildlink3.mk	5 Feb 2006 23:08:22 -0000	1.3
+++ ./cad/libwcalc/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	libwcalc
 
 .if !empty(LIBWCALC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libwcalc+=	libwcalc-1.0*
-BUILDLINK_RECOMMENDED.libwcalc?=	libwcalc>=1.0nb1
+BUILDLINK_API_DEPENDS.libwcalc+=	libwcalc-1.0*
+BUILDLINK_ABI_DEPENDS.libwcalc?=	libwcalc>=1.0nb1
 BUILDLINK_PKGSRCDIR.libwcalc?=	../../cad/libwcalc
 .endif	# LIBWCALC_BUILDLINK3_MK
 
Index: ./cad/spice/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/cad/spice/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- ./cad/spice/Makefile	5 Feb 2006 23:08:22 -0000	1.33
+++ ./cad/spice/Makefile	4 Apr 2006 06:26:50 -0000
@@ -15,7 +15,7 @@
 WRKSRC=			${WRKDIR}
 # GPL license used by GNU readline is not compatible
 # with 4 clause BSD license used by spice.
-#BUILDLINK_DEPENDS.readline=	readline>=4.0
+#BUILDLINK_API_DEPENDS.readline=	readline>=4.0
 #USE_GNU_READLINE=	uses rl_* interface
 
 # documentation in ftp://ic.eecs.berkeley.edu/pub/Spice3/um.3f3.ps
Index: ./cad/verilog/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/cad/verilog/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./cad/verilog/buildlink3.mk	10 Feb 2006 16:53:36 -0000	1.1
+++ ./cad/verilog/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -21,7 +21,7 @@
 BUILDLINK_PACKAGES+=	verilog
 
 .if !empty(VERILOG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.verilog+=	verilog>=0.8.1nb1
+BUILDLINK_API_DEPENDS.verilog+=	verilog>=0.8.1nb1
 BUILDLINK_PKGSRCDIR.verilog?=	../../cad/verilog
 .endif	# VERILOG_BUILDLINK3_MK
 
Index: ./cad/verilog-current/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/cad/verilog-current/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./cad/verilog-current/buildlink3.mk	5 Feb 2006 23:08:23 -0000	1.3
+++ ./cad/verilog-current/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	verilog-current
 
 .if !empty(VERILOG_CURRENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.verilog-current+=	verilog-current>=20021019
-BUILDLINK_RECOMMENDED.verilog-current?=	verilog-current>=20060124nb1
+BUILDLINK_API_DEPENDS.verilog-current+=	verilog-current>=20021019
+BUILDLINK_ABI_DEPENDS.verilog-current?=	verilog-current>=20060124nb1
 BUILDLINK_PKGSRCDIR.verilog-current?=	../../cad/verilog-current
 .endif	# VERILOG_CURRENT_BUILDLINK3_MK
 
Index: ./chat/ekg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/ekg/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./chat/ekg/buildlink3.mk	5 Feb 2006 23:08:23 -0000	1.13
+++ ./chat/ekg/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ekg
 
 .if !empty(EKG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ekg+=		ekg>=1.6
-BUILDLINK_RECOMMENDED.ekg?=	ekg>=1.6nb4
+BUILDLINK_API_DEPENDS.ekg+=		ekg>=1.6
+BUILDLINK_ABI_DEPENDS.ekg?=	ekg>=1.6nb4
 BUILDLINK_PKGSRCDIR.ekg?=	../../chat/ekg
 .endif	# EKG_BUILDLINK3_MK
 
Index: ./chat/gaim/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/gaim/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./chat/gaim/buildlink3.mk	5 Feb 2006 23:08:24 -0000	1.9
+++ ./chat/gaim/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gaim
 
 .if !empty(GAIM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gaim+=	gaim>=1.1.2
-BUILDLINK_RECOMMENDED.gaim+=	gaim>=1.5.0nb4
+BUILDLINK_API_DEPENDS.gaim+=	gaim>=1.1.2
+BUILDLINK_ABI_DEPENDS.gaim+=	gaim>=1.5.0nb4
 BUILDLINK_PKGSRCDIR.gaim?=	../../chat/gaim
 
 PRINT_PLIST_AWK+=	/^@dirrm lib\/gaim$$/ \
Index: ./chat/gale/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/chat/gale/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./chat/gale/buildlink3.mk	5 Feb 2006 23:08:24 -0000	1.2
+++ ./chat/gale/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gale
 
 .if !empty(GALE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gale+=	gale>=0.99f
-BUILDLINK_RECOMMENDED.gale?=	gale>=0.99fnb1
+BUILDLINK_API_DEPENDS.gale+=	gale>=0.99f
+BUILDLINK_ABI_DEPENDS.gale?=	gale>=0.99fnb1
 BUILDLINK_PKGSRCDIR.gale?=	../../chat/gale
 .endif	# GALE_BUILDLINK3_MK
 
